> ## Documentation Index
> Fetch the complete documentation index at: https://docs.saleleads.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Post Comments

> Get Post Comments



## OpenAPI

````yaml /api-reference/openapi.json get /api/v1/post/comments
openapi: 3.1.0
info:
  title: Linkedin Scraper API
  description: Linkedin Scraper API Documentation
  version: 1.0.0
servers:
  - url: https://fresh-linkedin-scraper-api.p.rapidapi.com
    description: RapiAPI
security: []
paths:
  /api/v1/post/comments:
    get:
      tags:
        - Post
      summary: Get Post Comments
      description: Get Post Comments
      operationId: getApiV1PostComments
      parameters:
        - in: query
          name: post_id
          schema:
            type: string
            pattern: ^\d+$
            description: Post ID containing only numbers
            example: '1234567890'
          required: true
        - in: query
          name: page
          schema:
            type: integer
            exclusiveMinimum: 0
            description: Page number for pagination
            default: 1
            example: 1
          required: false
        - in: query
          name: sort_order
          schema:
            type: string
            enum:
              - recent
              - relevance
            description: Sort comments by recent or relevance
            example: relevance
            default: relevance
          required: false
        - in: query
          name: post_type
          schema:
            type: string
            enum:
              - activity
              - ugc
            description: Post Type
            example: activity
          required: false
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  cost:
                    type: number
                    description: Cost of the request
                    example: 1
                  total:
                    type: number
                    description: Total number of comments
                    example: 500
                  has_more:
                    type: boolean
                    description: Whether there are more comments to fetch
                    example: true
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        urn:
                          type: string
                          description: Comment URN
                          example: >-
                            urn:li:comment:(ugcPost:7244804628670791680,7244805820041846784)
                        id:
                          type: string
                          description: Comment Id
                          example: '7356749594019467264'
                        comment:
                          type: string
                          description: Comment Content
                          example: >-
                            Fantastic to see Telefónica leading the way in
                            leveraging API technology to drive innovation and
                            build a vibrant developer community...
                        is_pinned:
                          type: boolean
                          description: Is Comment Pinned
                          example: false
                        is_edited:
                          type: boolean
                          description: Is Comment Edited
                          example: false
                        is_author:
                          type: boolean
                          description: Is Comment Author
                          example: false
                        num_replies:
                          type: number
                          description: Number of Replies
                          example: 0
                        reaction_counts:
                          type: array
                          items:
                            type: object
                            properties:
                              type:
                                type: string
                                description: Reaction Type
                                example: LIKE
                              count:
                                type: number
                                description: Reaction Count
                                example: 10
                          description: Reaction Counts
                          example:
                            - type: LIKE
                              count: 10
                            - type: PRAISE
                              count: 5
                        commenter:
                          type: object
                          properties:
                            id:
                              type: string
                              description: Commenter ID
                              example: '72586820'
                            description:
                              type: string
                              description: Commenter Description
                              example: >-
                                Network as Code | Helping businesses innovate
                                with programmable network APIs
                            name:
                              type: string
                              description: Commenter Name
                              example: James D.
                            url:
                              type: string
                              description: Commenter LinkedIn URL
                              example: https://www.linkedin.com/in/-james-de-luca
                            avatar:
                              type: array
                              items:
                                type: object
                                properties:
                                  width:
                                    type: number
                                    description: Logo width
                                    example: 400
                                  height:
                                    type: number
                                    description: Logo height
                                    example: 400
                                  url:
                                    type: string
                                    description: Logo URL
                                    example: >-
                                      https://media.licdn.com/dms/image/v2/D4E0BAQHjelLY2a-Mnw/company-logo_400_400/company-logo_400_400/0/1666083635765?e=1748476800&v=beta&t=V_T_yXL6Bs2HDEY-iZAKSkNype7_-7USjP2HIXo0Zv8
                                  expires_at:
                                    type: number
                                    description: Logo expires at
                                    example: 1748476800000
                              description: Commenter Avatar
                          description: Post Commenter
                        replies:
                          type:
                            - array
                            - 'null'
                          items:
                            type: object
                            properties:
                              comment:
                                type: string
                                description: Comment Content
                                example: >-
                                  Fantastic to see Telefónica leading the way in
                                  leveraging API technology to drive innovation
                                  and build a vibrant developer community...
                              commenter:
                                type: object
                                properties:
                                  id:
                                    type: string
                                    description: Commenter ID
                                    example: '72586820'
                                  description:
                                    type: string
                                    description: Commenter Description
                                    example: >-
                                      Network as Code | Helping businesses
                                      innovate with programmable network APIs
                                  name:
                                    type: string
                                    description: Commenter Name
                                    example: James D.
                                  url:
                                    type: string
                                    description: Commenter LinkedIn URL
                                    example: https://www.linkedin.com/in/-james-de-luca
                                  avatar:
                                    type: array
                                    items:
                                      type: object
                                      properties:
                                        width:
                                          type: number
                                          description: Logo width
                                          example: 400
                                        height:
                                          type: number
                                          description: Logo height
                                          example: 400
                                        url:
                                          type: string
                                          description: Logo URL
                                          example: >-
                                            https://media.licdn.com/dms/image/v2/D4E0BAQHjelLY2a-Mnw/company-logo_400_400/company-logo_400_400/0/1666083635765?e=1748476800&v=beta&t=V_T_yXL6Bs2HDEY-iZAKSkNype7_-7USjP2HIXo0Zv8
                                        expires_at:
                                          type: number
                                          description: Logo expires at
                                          example: 1748476800000
                                    description: Commenter Avatar
                                description: Post Commenter
                              created_at:
                                type: string
                                description: Comment Created At
                                example: '2025-03-03T05:04:50.822Z'
                          description: Post Replies
                        created_at:
                          type: string
                          description: Comment Created At
                          example: '2025-03-03T05:04:50.822Z'
                        is_has_previous_replies:
                          type: boolean
                          description: Whether previous replies exist
                          example: false
                        previous_replies_token:
                          type: string
                          description: >-
                            Token used to paginate to the previous page of
                            replies
                          example: UFJFVklPVVNfMTc1NDEwNDY0NzM4MF9DTEVBTg
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Bad request
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: >-
                      Invalid API key. Go to https://docs.rapidapi.com/docs/keys
                      for more info.
        '403':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: You are not subscribed to this API.
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: 'Request failed with status 500: Internal Server Error'
                  status_code:
                    type: number
                    example: 500
                  cost:
                    type: number
                    example: 0
                  explain:
                    type: string
                    example: >-
                      Oops, it looks like there was an issue processing your
                      request. Don't worry, you won't be charged for this
                      request. If you need any help, don't hesitate to contact
                      us via email hello@saleleads.ai or telegram
                      https://t.me/saleleads
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-rapidapi-key
      description: Rapid API Key

````